API reference

Partner API API

For agencies and resellers: create, list and remove client numbers, generate white-label connect links and set your branding.

GET /partner/brand

Get partner brand. Authenticate with your account api key.

curl -X GET https://agakural.online/partner/brand \
  -H "Authorization: Bearer $TOKEN"

PUT /partner/brand

Update partner brand. Authenticate with your account api key.

FieldInTypeRequiredNotes
namebodystringNoUp to 60 characters
logo_urlbodystringNoUp to 500 characters
colorbodystringNo
support_urlbodystringNoUp to 300 characters
curl -X PUT https://agakural.online/partner/brand \
  -H "Authorization: Bearer $TOKEN"

GET /partner/channels

Get partner channels. Authenticate with your account api key.

curl -X GET https://agakural.online/partner/channels \
  -H "Authorization: Bearer $TOKEN"

POST /partner/channels

Create partner channels. Authenticate with your account api key.

FieldInTypeRequiredNotes
namebodystringYesUp to 60 characters
client_refbodystringNoUp to 120 characters
webhook_urlbodystringNo
curl -X POST https://agakural.online/partner/channels \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "name"}'

DELETE /partner/channels/{id}

Delete a partner channels. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/partner/channels/{id} \
  -H "Authorization: Bearer $TOKEN"

GET /partner/channels/{id}

Get one partner channel. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/partner/channels/{id} \
  -H "Authorization: Bearer $TOKEN"

PATCH /partner/channels/{id}

Update a partner channels. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
namebodystringNoUp to 60 characters
client_refbodystringNoUp to 120 characters
webhook_urlbodystringNo
curl -X PATCH https://agakural.online/partner/channels/{id} \
  -H "Authorization: Bearer $TOKEN"

POST /partner/channels/{id}/connect-link

Create partner channels connect link. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/partner/channels/{id}/connect-link \
  -H "Authorization: Bearer $TOKEN"

POST /partner/channels/{id}/logout

Create partner channels logout. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/partner/channels/{id}/logout \
  -H "Authorization: Bearer $TOKEN"

GET /partner/channels/{id}/qr

Get partner channels qr. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/partner/channels/{id}/qr \
  -H "Authorization: Bearer $TOKEN"